import { LoadingController, Loading } from "ionic-angular";
import { LoadingOptions } from "./loading-options";

export declare class LoadingService {
    protected loadingCtrl;
    constructor(loadingCtrl: LoadingController);

    /**
     * 获取 loading 对象
     * @param {LoadingOptions} opts 
     */
    getLoadingObject(opts?: LoadingOptions): Loading;

    /**
     * 弹出 Loading
     * @param {LoadingOptions} opts 
     */
    present(opts?: LoadingOptions): void;
}